<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Base/Controller/BaseTableViewController.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_base_table_view_controller_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">BaseTableViewController.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_base_table_view_controller_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  BaseTableViewController.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by 江俊辰 on 2017/6/19.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2017年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &quot;<a class="code" href="_base_view_controller_8h.html">BaseViewController.h</a>&quot;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#import &lt;CKKit/CKKit.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="interface_base_table_view_controller.html">   12</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_base_table_view_controller.html">BaseTableViewController</a> : <a class="code" href="interface_base_view_controller.html">BaseViewController</a>&lt;UITableViewDelegate, UITableViewDataSource&gt;</div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="interface_base_table_view_controller.html#a6585237c93238a6cdf98abb867178c67">   13</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) CKList *<a class="code" href="interface_base_table_view_controller.html#a6585237c93238a6cdf98abb867178c67">datasource</a>;</div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="interface_base_table_view_controller.html#acd259275f3e05d9c7a22cfe6056312b7">   15</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong, readonly) UITableView *<a class="code" href="interface_base_table_view_controller.html#acd259275f3e05d9c7a22cfe6056312b7">tableView</a>;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;- (UITableView *)createTableViewWithStyle:(UITableViewStyle)style;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_base_table_view_controller_html_acd259275f3e05d9c7a22cfe6056312b7"><div class="ttname"><a href="interface_base_table_view_controller.html#acd259275f3e05d9c7a22cfe6056312b7">BaseTableViewController::tableView</a></div><div class="ttdeci">UITableView * tableView</div><div class="ttdoc">(Default is nil)</div><div class="ttdef"><b>Definition:</b> <a href="_base_table_view_controller_8h_source.html#l00015">BaseTableViewController.h:15</a></div></div>
<div class="ttc" id="ainterface_base_view_controller_html"><div class="ttname"><a href="interface_base_view_controller.html">BaseViewController</a></div><div class="ttdef"><b>Definition:</b> <a href="_base_view_controller_8h_source.html#l00011">BaseViewController.h:12</a></div></div>
<div class="ttc" id="a_base_view_controller_8h_html"><div class="ttname"><a href="_base_view_controller_8h.html">BaseViewController.h</a></div></div>
<div class="ttc" id="ainterface_base_table_view_controller_html_a6585237c93238a6cdf98abb867178c67"><div class="ttname"><a href="interface_base_table_view_controller.html#a6585237c93238a6cdf98abb867178c67">BaseTableViewController::datasource</a></div><div class="ttdeci">CKList * datasource</div><div class="ttdef"><b>Definition:</b> <a href="_base_table_view_controller_8h_source.html#l00013">BaseTableViewController.h:13</a></div></div>
<div class="ttc" id="ainterface_base_table_view_controller_html"><div class="ttname"><a href="interface_base_table_view_controller.html">BaseTableViewController</a></div><div class="ttdef"><b>Definition:</b> <a href="_base_table_view_controller_8h_source.html#l00012">BaseTableViewController.h:12</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_778ebd26e57377eb2e4b9acfa44c059f.html">Base</a></li><li class="navelem"><a class="el" href="dir_1b3c59872c42288745237f624ea14bcf.html">Controller</a></li><li class="navelem"><a class="el" href="_base_table_view_controller_8h.html">BaseTableViewController.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
